Run query
Run a CQL query against up to 100 entities, or against one page of the catalog with pageSize and pageToken. A request without entities runs against one page of at most 1000 entities, and the response’s nextPageToken reads the next page. For more information about the types of queries you can run, take a look at our CQL Explorer in the app.
Authorizations
All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.
Body
Tags or Cortex IDs of the entities to run the query against, from 1 to 100. Omit to page through the catalog with pageSize and pageToken instead.
Tags or Cortex IDs of the entities to run the query against, from 1 to 100. Omit to page through the catalog with pageSize and pageToken instead.
Run the query against one page of at most this many entities, at most 1000. The response's nextPageToken reads the next page. Defaults to 1000.
1000
The nextPageToken from the previous response, to run the query against the next page.
Response
Successfully submitted query
Id that can be used to request the status of the query. If you would like to re-run the query, you must re-run the query in the UI. See retrieve query results
Pass as pageToken to run the same query against the next page. Absent on the last page, and when the request did not page.